<div class="card">

    <div class="card-header d-flex justify-content-between">

       <h5 class="card-title mb-0">{{'NOUVEAU_COMPTE.IDENTITY_INFOS'|translate}}</h5>

       <!-- <app-card-toolbar [collapseTarget]="'identity-informations-body'"></app-card-toolbar> -->

    </div>

    <div id="identity-informations-body" class="collapse show">

       <div class="card-body p-2">

          <!-- account pp -->
          <form *ngIf="accountType==='PP'" [formGroup]="accountPPFormGroup" autocomplete="off">

                <div class="row">

                  <div class="col-md-8">

                    <div class="row">

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.PIECE_IDENTITE'|translate}}</label>
                        <ngx-select
                          [items]="pieceIdentiteList"
                          [optionValueField]="'code'"
                          [optionTextField]="'value'"
                          formControlName="pieceIdentite"
                          [placeholder]="'FIELD.PLEASE.SELECT'|translate"
                          size='small'
                          [ngClass]="{'disabled': accountPPFormGroup.get('pieceIdentite').disabled}">
                        </ngx-select>

                        <div *ngIf="accountPPFormGroup?.get('pieceIdentite')?.invalid && showValidationsMsg"
                             class="text-danger">
                          <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                        </div>
                      </div>

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.NUM_PI'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="numPI"
                               pattern="[A-Za-z0-9 ]+">

                        <div *ngIf="accountPPFormGroup.get('numPI').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('numPI').errors.required" class="text-danger">
                            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                          </div>
                          <div *ngIf="accountPPFormGroup.get('numPI').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                          </div>
                        </div>
                      </div>

                    </div>

                    <div class="row">

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.EMETTEUR_PI'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="emetteurPI"
                               pattern="[A-Za-zÀ-ÿ ]+">

                        <div *ngIf="accountPPFormGroup.get('emetteurPI').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('emetteurPI').errors.required" class="text-danger">
                            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                          </div>
                          <div *ngIf="accountPPFormGroup.get('emetteurPI').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EMI_PI'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="dateEmiPI" [placeholder]="'FIELD.PLEASE.DATE'|translate"
                               [max]="accountPPFormGroup?.get('dateExpPI')?.value" [owlDateTime]="dateEmiPI">
                        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dateEmiPI"
                              [title]="'FIELD.PLEASE.CHOOSE'|translate">
                         <i class="ri-calendar-line"></i>
                        </span>
                        <owl-date-time #dateEmiPI [pickerType]="'calendar'"></owl-date-time>

                        <div *ngIf="accountPPFormGroup.get('dateEmiPI').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('dateEmiPI').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                          </div>
                        </div>
                      </div>

                    </div>

                    <div class="row">

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.DATE_EXP_PI'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="dateExpPI" [placeholder]="'FIELD.PLEASE.DATE'|translate"
                               [min]="accountPPFormGroup?.get('dateEmiPI')?.value" [owlDateTime]="dateExpPI">
                        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dateExpPI"
                              [title]="'FIELD.PLEASE.CHOOSE'|translate">
                           <i class="ri-calendar-line"></i>
                        </span>
                        <owl-date-time #dateExpPI [pickerType]="'calendar'"></owl-date-time>

                        <div *ngIf="accountPPFormGroup.get('dateExpPI').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('dateExpPI').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_DATE'|translate}}</small>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.TRIB_IMMAT'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="tribImmatricule"
                               pattern="[A-Za-zÀ-ÿ ]+">

                        <div *ngIf="accountPPFormGroup.get('tribImmatricule').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('tribImmatricule').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                          </div>
                        </div>
                      </div>

                    </div>

                    <div class="row">

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.RCRN'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="rc_rn"
                               pattern="[A-Za-z0-9 ]+">

                        <div *ngIf="accountPPFormGroup.get('rc_rn').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('rc_rn').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                          </div>
                        </div>
                      </div>

                      <div class="col-md-6">
                        <label class="col-form-label">{{'FIELD.COMPTE_PP.NUM_TAX_PRO'|translate}}</label>
                        <input type="text" class="form-control form-control-sm" formControlName="numTaxePro"
                               pattern="[A-Za-z0-9 ]+">

                        <div *ngIf="accountPPFormGroup.get('numTaxePro').invalid && showValidationsMsg">
                          <div *ngIf="accountPPFormGroup.get('numTaxePro').errors.pattern" class="text-danger">
                            <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                          </div>
                        </div>
                      </div>

                    </div>

                  </div>

                  <div class="col-md-4" *ngIf="!accountPPFormGroup?.disabled">
                    <label>{{'FIELD.COMPTE_PP.IMAGE_UPLOAD'|translate}}</label>
                    <div class="input-group container">
                      <span class="input-group-btn">
                            <img class="rounded-circle d-block m-auto" [src]="photoImg" height="200" width="200"/>
                            <div class="btn btn-primary btn-file mt-2">
                              {{'FIELD.COMPTE_PP.IMAGE_IMPORT'|translate}}
                              <input type="file" (change)="onFileSelected($event)" [accept]="['.jpeg','.jpg','.png']">
                            </div>
                      </span>
                    </div>
                  </div>

                </div>

          </form>
          <!-- end account pp -->

          <!-- account pm -->
          <form *ngIf="accountType==='PM'" [formGroup]="accountPMFormGroup" autocomplete="off">

            <div class="row">
              <div class="col-md-8">
                <div class="row">

                  <div class="col-md-6">
                    <label class="col-form-label">{{'FIELD.COMPTE_PM.AUTORITE_AGRMT'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="autoriteAgrement"
                           pattern="[A-Za-zÀ-ÿ ]+">

                    <div *ngIf="accountPMFormGroup.get('autoriteAgrement').invalid && showValidationsMsg">
                      <div *ngIf="accountPMFormGroup.get('autoriteAgrement').errors.required" class="text-danger">
                        <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                      </div>
                      <div *ngIf="accountPMFormGroup.get('autoriteAgrement').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                      </div>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <label class="col-form-label">{{'FIELD.COMPTE_PM.ID_FISCAL'|translate}}</label>
                    <input type="number" class="form-control form-control-sm" formControlName="idFiscal">

                    <div *ngIf="accountPMFormGroup?.get('idFiscal')?.invalid && showValidationsMsg"
                         class="text-danger">
                      <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                    </div>
                  </div>

                </div>

                <div class="row">

                  <div class="col-md-6">
                    <label class="col-form-label">{{'FIELD.COMPTE_PM.TRIB_IMMAT'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="tribImmatricule"
                           pattern="[A-Za-zÀ-ÿ ]+">

                    <div *ngIf="accountPMFormGroup.get('tribImmatricule').invalid && showValidationsMsg">
                      <div *ngIf="accountPMFormGroup.get('tribImmatricule').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                      </div>
                    </div>
                  </div>

                  <div class="col-md-6">
                    <label class="col-form-label">{{'FIELD.COMPTE_PM.RCRN'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="rc"
                           pattern="[A-Za-z0-9 ]+">

                    <div *ngIf="accountPMFormGroup.get('rc').invalid && showValidationsMsg">
                      <div *ngIf="accountPMFormGroup.get('rc').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                      </div>
                    </div>
                  </div>

                </div>

                <div class="row">

                  <div class="col-md-6">
                    <label class="col-form-label">{{'FIELD.COMPTE_PM.NUM_TAX_PRO'|translate}}</label>
                    <input type="text" class="form-control form-control-sm" formControlName="numTaxePro"
                           pattern="[A-Za-z0-9 ]+">

                    <div *ngIf="accountPMFormGroup.get('numTaxePro').invalid && showValidationsMsg">
                      <div *ngIf="accountPMFormGroup.get('numTaxePro').errors.pattern" class="text-danger">
                        <small>{{'FIELD.ERRORS.PATTERN_ALPHANUM'|translate}}</small>
                      </div>
                    </div>
                  </div>

                </div>
              </div>

              <div class="col-md-4" *ngIf="!accountPMFormGroup?.disabled">
                <label>{{'FIELD.COMPTE_PM.IMAGE_UPLOAD'|translate}}</label>
                <div class="input-group container">
                      <span class="input-group-btn">
                            <img class="rounded-circle d-block m-auto" [src]="photoImg" height="200" width="200"/>
                            <div class="btn btn-primary btn-file mt-2">
                              {{'FIELD.COMPTE_PM.IMAGE_IMPORT'|translate}}
                              <input type="file" (change)="onFileSelected($event)" [accept]="['.jpeg','.jpg','.png']">
                            </div>
                      </span>
                </div>
              </div>
            </div>

          </form>
         <!-- end account pm -->

       </div>

    </div>

 </div>
